%define upstream_name    JSON-MaybeXS
%define upstream_version 1.003005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use L<Cpanel::JSON::XS> with a fallback to L<JSON::PP>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::PP) >= 2.272.20
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Without::Module) >= 0.170.0
BuildArch:  noarch

%description
This module tries to load the Cpanel::JSON::XS manpage, and if that fails
instead tries to load the JSON::PP manpage. If neither is available, an
exception will be thrown.

It then exports the 'encode_json' and 'decode_json' functions from the
loaded module, along with a 'JSON' constant that returns the class name for
calling 'new' on.

If you're writing fresh code rather than replacing JSON.pm usage, you might
want to pass options as constructor args rather than calling mutators, so
we provide our own 'new' method that supports that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.3.5-3.mga6
+ Revision: 1028845
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.3.5-2.mga6
+ Revision: 965617
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 1.3.5-1.mga6
+ Revision: 836296
- update to 1.003005

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 747423
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 685142
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 1.2.2-1.mga5
+ Revision: 617838
- update to 1.002002

* Thu Jan 16 2014 shlomif <shlomif> 1.1.0-1.mga5
+ Revision: 566684
- imported package perl-JSON-MaybeXS


* Thu Jan 16 2014 cpan2dist 1.001000-1mga
- initial mageia release, generated with cpan2dist
